package org.jmetrix.logging;


/**
 * @author Konstantin Kuzmin
 * @version $Revision$
 * @since 28.07.12
 */
public class Slf4jLogger implements Logger {
    org.slf4j.Logger target;

    public Slf4jLogger(org.slf4j.Logger target) {
        this.target = target;
    }

    @Override
    public void debug(String s) {
        target.debug(s);
    }

    @Override
    public void debug(String s, Object... objects) {
        target.debug(s, objects);
    }

    @Override
    public void debug(String s, Throwable throwable) {
        target.debug(s, throwable);
    }

    @Override
    public void info(String s) {
        target.info(s);
    }

    @Override
    public void info(String s, Object... objects) {
        target.info(s, objects);
    }

    @Override
    public void info(String s, Throwable throwable) {
        target.info(s, throwable);
    }

    @Override
    public void warn(String s) {
        target.warn(s);
    }

    @Override
    public void warn(String s, Object... objects) {
        target.warn(s, objects);
    }

    @Override
    public void warn(String s, Throwable throwable) {
        target.warn(s, throwable);
    }

    @Override
    public void error(String s) {
        target.error(s);
    }

    @Override
    public void error(String s, Object... objects) {
        target.error(s, objects);
    }

    @Override
    public void error(String s, Throwable throwable) {
        target.error(s, throwable);
    }
}
